package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_margin):
 */
public class MusicMargin {

	/**  */
	private Integer id;
	
	/** 类型 */
	private String type;
	
	/** 日期 */
	private String date;
	
	/** 分部 */
	private String organ;
	
	/** 学校 */
	private String school;
	
	/** 用户编号，财务操作退款时填入 */
	private Integer userId;
	
	/** 学员姓名 */
	private String username;
	
	/** 期初 */
	private java.math.BigDecimal init;
	
	/** 收款 */
	private java.math.BigDecimal payment;
	
	/** 退款 */
	private java.math.BigDecimal refund;
	
	/** 是否退款0否1是2拒绝 */
	private Integer refundFlag;
	
	/** 余额 */
	private java.math.BigDecimal balance;
	
	/** 保证金类型 */
	private String marginType;
	
	/** 匹配 */
	private String match;
	
	/** 备注 */
	private String memo;
	
	/** 流程编号 */
	private String processNo;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setDate(String date){
		this.date = date;
	}
	
	public String getDate(){
		return this.date;
	}
			
	public void setOrgan(String organ){
		this.organ = organ;
	}
	
	public String getOrgan(){
		return this.organ;
	}
			
	public void setSchool(String school){
		this.school = school;
	}
	
	public String getSchool(){
		return this.school;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setUsername(String username){
		this.username = username;
	}
	
	public String getUsername(){
		return this.username;
	}
			
	public void setInit(java.math.BigDecimal init){
		this.init = init;
	}
	
	public java.math.BigDecimal getInit(){
		return this.init;
	}
			
	public void setPayment(java.math.BigDecimal payment){
		this.payment = payment;
	}
	
	public java.math.BigDecimal getPayment(){
		return this.payment;
	}
			
	public void setRefund(java.math.BigDecimal refund){
		this.refund = refund;
	}
	
	public java.math.BigDecimal getRefund(){
		return this.refund;
	}
			
	public void setRefundFlag(Integer refundFlag){
		this.refundFlag = refundFlag;
	}
	
	public Integer getRefundFlag(){
		return this.refundFlag;
	}
			
	public void setBalance(java.math.BigDecimal balance){
		this.balance = balance;
	}
	
	public java.math.BigDecimal getBalance(){
		return this.balance;
	}
			
	public void setMarginType(String marginType){
		this.marginType = marginType;
	}
	
	public String getMarginType(){
		return this.marginType;
	}
			
	public void setMatch(String match){
		this.match = match;
	}
	
	public String getMatch(){
		return this.match;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setProcessNo(String processNo){
		this.processNo = processNo;
	}
	
	public String getProcessNo(){
		return this.processNo;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
